Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Simulator Class Reference

`#include <Simulator.h>`

Inheritance diagram for ACE_RMCast::Simulator:

[legend]
Collaboration diagram for ACE_RMCast::Simulator:

[legend]
List of all members.

## Public Member Functions
| Simulator ()
virtual void | send (Message_ptr m)
## Private Attributes
Message_ptr | hold_
Mutex | mutex_

## Constructor & Destructor Documentation

ACE_RMCast::Simulator::Simulator | ( |  | ) |

## Member Function Documentation

void ACE_RMCast::Simulator::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

## Member Data Documentation

Message_ptr ACE_RMCast::Simulator::hold_`[private]`

Mutex ACE_RMCast::Simulator::mutex_`[private]`

The documentation for this class was generated from the following files:

- Simulator.h
- Simulator.cpp